summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Brandon Pribula2022-03-31 23:19:50 +0200
committer Willy Sudiarto Raharjo2022-04-02 13:18:59 +0200
commit2634562e8f296f811bb3858c70fc8a79e0651bdc (patch)
treef9b4984642c1b1b8ce309565a7b9024e6e4aa643
parenta2ac8e4e7e91099d60587b11f0c72d00d8abfe67 (diff)
downloadslackbuilds-2634562e8f296f811bb3858c70fc8a79e0651bdc.tar.gz
desktop/bashmount: Added (manage removeable media).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/bashmount/README4
-rw-r--r--desktop/bashmount/bashmount.SlackBuild76
-rw-r--r--desktop/bashmount/bashmount.info10
-rw-r--r--desktop/bashmount/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/desktop/bashmount/README b/desktop/bashmount/README
new file mode 100644
index 0000000000..519fec8f8c
--- /dev/null
+++ b/desktop/bashmount/README
@@ -0,0 +1,4 @@
+bashmount is a command-line tool to easily manage removable media.
+
+An example configuration file is located at /etc/bashmount.conf
+You can copy this to $HOME/.config/bashmount/config.
diff --git a/desktop/bashmount/bashmount.SlackBuild b/desktop/bashmount/bashmount.SlackBuild
new file mode 100644
index 0000000000..2df30acb11
--- /dev/null
+++ b/desktop/bashmount/bashmount.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/bash
+
+# Slackware build script for bashmount
+
+# Copyright 2022 Brandon Pribula BC, Canada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=bashmount
+VERSION=${VERSION:-4.3.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+ARCH="noarch"
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -D $PRGNAM $PKG/usr/bin/$PRGNAM
+
+# Install manpage
+install -m 644 -D ${PRGNAM}.1 $PKG/usr/man/man1/${PRGNAM}.1
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Install config to /etc
+install -m 644 -D ${PRGNAM}.conf $PKG/etc/${PRGNAM}.conf
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING NEWS README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/bashmount/bashmount.info b/desktop/bashmount/bashmount.info
new file mode 100644
index 0000000000..7d6a05ef22
--- /dev/null
+++ b/desktop/bashmount/bashmount.info
@@ -0,0 +1,10 @@
+PRGNAM="bashmount"
+VERSION="4.3.2"
+HOMEPAGE="https://github.com/jamielinux/bashmount"
+DOWNLOAD="https://github.com/jamielinux/bashmount/archive/refs/tags/4.3.2/bashmount-4.3.2.tar.gz"
+MD5SUM="7c4eb2bc43d263d995f753dd99f1084e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Brandon Pribula"
+EMAIL="b.pribs11@gmail.com"
diff --git a/desktop/bashmount/slack-desc b/desktop/bashmount/slack-desc
new file mode 100644
index 0000000000..f376b69d24
--- /dev/null
+++ b/desktop/bashmount/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bashmount: bashmount (manage removeable media)
+bashmount:
+bashmount: A configurable command-line tool written in bash to easily manage
+bashmount: removable media. Bashmount works fine without a configuration file
+bashmount: however there are some neat things you can do with one.
+bashmount:
+bashmount:
+bashmount:
+bashmount:
+bashmount: Home page: https://github.com/jamielinux/bashmount
+bashmount: